# SelectStarterPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SelectStarterPhase

#### Hierarchy (View Summary)

- Phase
  - SelectStarterPhase

- Defined in src/phases/select-starter-phase.ts:17

##### Index

### Constructors

constructor

### Methods

end
initBattle
start

## Constructors

### constructor

- new SelectStarterPhase(): SelectStarterPhase

  #### Returns SelectStarterPhase

  Overrides Phase.constructor

  - Defined in src/phases/select-starter-phase.ts:18

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### initBattle

- initBattle(starters: Starter []): void

  Initialize starters before starting the first battle

  #### Parameters

  - starters: Starter []

    Pokemon with which to start the first battle

  #### Returns void

  - Defined in src/phases/select-starter-phase.ts:45

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/select-starter-phase.ts:22